All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Interface LoginInterface

All Superinterfaces:
  MetadataInterface, PublicObjectInterface, java.rmi.Remote

    public interface LoginInterface

extends MetadataInterface

This is a generic interface for interacting with a repository entry that represents a login object.

Since:
  1.0

Field Summary

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Method Summary
`void` | `addUser(PersonInterface user)` Add a user to the list of allowed clients.
`java.lang.String` | `getDomain()` Get the security domain for the login.
`IdentityInterface` | `getIdentity()` Get the identity associated to this login.
`int` | `getMinAvail()` Returns the minimum number of servers that should be started when this login is used to authenticate.
`int` | `getMinSize()` Returns the minimum size pooling parameter.
`java.lang.String` | `getPassword()` Get the password for the login.
`java.lang.String` | `getUserId()` Get the user ID for this login.
`java.util.List` | `getUsers()` Get a list of the users that are authorized to use this login.
`void` | `removeUser(PersonInterface user)` Remove a user from the list of allowed clients.
`void` | `setDomain(java.lang.String domain)` Set the authentication domain for the Login.
`void` | `setMinAvail(int min)` Set the minimum available pooling parameter.
`void` | `setMinSize(int size)` Set the minimum size pooling parameter.
`void` | `setPassword(java.lang.String password)` Set the password for this login.
`void` | `setUserId(java.lang.String uid)` Set the user ID for this login.

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Method Detail

### getUserId

    java.lang.String getUserId()
                               throws ServiceException,
                                      java.rmi.RemoteException

  Get the user ID for this login.

  Returns:
    The user id.
  Throws:
    `ServiceException` - If a serice level error occurs.
    `java.rmi.RemoteException` - in the event of remote object failure.

### setUserId

    void setUserId(java.lang.String uid)
                   throws ServiceException,
                          java.rmi.RemoteException

  Set the user ID for this login.

  Parameters:
    `uid` - The new user id.
  Throws:
    `ServiceException` - If a serice level error occurs.
    `java.rmi.RemoteException` - in the event of remote object failure.

### getPassword

    java.lang.String getPassword()
                                 throws ServiceException,
                                        java.rmi.RemoteException

  Get the password for the login.

  Returns:
    the password.
  Throws:
    `ServiceException` - If a serice level error occurs.
    `java.rmi.RemoteException` - in the event of remote object failure.

### setPassword

    void setPassword(java.lang.String password)
                     throws ServiceException,
                            java.rmi.RemoteException

  Set the password for this login.

  Parameters:
    `password` - The new password.
  Throws:
    `ServiceException` - If a serice level error occurs.
    `java.rmi.RemoteException` - in the event of remote object failure.

### getDomain

    java.lang.String getDomain()
                               throws ServiceException,
                                      java.rmi.RemoteException

  Get the security domain for the login.

  Returns:
    The security domain.
  Throws:
    `ServiceException` - If a serice level error occurs.
    `java.rmi.RemoteException` - in the event of remote object failure.

### setDomain

    void setDomain(java.lang.String domain)
                   throws ServiceException,
                          java.rmi.RemoteException

  Set the authentication domain for the Login.

  Parameters:
    `domain` - The new authentication domain.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getIdentity

    IdentityInterface getIdentity()
                                  throws ServiceException,
                                         java.rmi.RemoteException

  Get the identity associated to this login.

  Returns:
    The Identity associated to this login.
  Throws:
    `ServiceException` - If a repository error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getUsers

    java.util.List getUsers()
                            throws ServiceException,
                                   java.rmi.RemoteException

  Get a list of the users that are authorized to use this login.

  Returns:
    A list of Person objects that are allowed to use this login.
  Throws:
    `ServiceException` - If a serice level error occurs.
    `java.rmi.RemoteException` - in the event of remote object failure.

### addUser

    void addUser(PersonInterface user)
                 throws ServiceException,
                        java.rmi.RemoteException

  Add a user to the list of allowed clients.

  Parameters:
    `user` - The new user to add to the allowed clients.
  Throws:
    `ServiceException` - If a serice level error occurs.
    `java.rmi.RemoteException` - in the event of remote object failure.

### removeUser

    void removeUser(PersonInterface user)
                    throws ServiceException,
                           java.rmi.RemoteException

  Remove a user from the list of allowed clients.

  Parameters:
    `user` - The user to remove from the allowed client list.
  Throws:
    `ServiceException` - If a serice level error occurs.
    `java.rmi.RemoteException` - in the event of remote object failure.

### getMinAvail

    int getMinAvail()
                    throws java.rmi.RemoteException

  Returns the minimum number of servers that should be started when this login is used to authenticate.

  Returns:
    The minimum available server count.
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### setMinAvail

    void setMinAvail(int min)
                     throws java.rmi.RemoteException

  Set the minimum available pooling parameter.

  Parameters:
    `min` - The new minimum available setting.
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### getMinSize

    int getMinSize()
                   throws java.rmi.RemoteException

  Returns the minimum size pooling parameter.

  Returns:
    The minsize.
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### setMinSize

    void setMinSize(int size)
                    throws java.rmi.RemoteException

  Set the minimum size pooling parameter.

  Parameters:
    `size` - The new minimum size parameter.
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.